cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted

SFHA on linux Oracle DB corrupted

Hi All

I installed SFHA 5.1 on Linux Redhat 5.3 on Two node cluster by follow the steps in Veritas Document

and the VCS installed sucessfully, service group switch to other node is done sucessfully.

 

the problem when servcie group switch to or make failover to other node database become coeeupted and RMAN detect that the Oracle database files currpted

Last try I have following error

[oracle@RERDDB1 bin]$ ./rman target system/admin nocatalog

Recovery Manager: Release 10.2.0.5.0 - Production on Wed Dec 8 21:55:35 2010

Copyright (c) 1982, 2007, Oracle.  All rights reserved.

ORACLE error from target database:
ORA-00604: error occurred at recursive SQL level 1
ORA-01578: ORACLE data block corrupted (file # 1, block # 11855)
ORA-01110: data file 1: '/oradata/RERD/system01.dbf'

error executing package DBMS_RCVMAN in TARGET database
RMAN-00571: ===========================================================
RMAN-00569: =============== ERROR MESSAGE STACK FOLLOWS ===============
RMAN-00571: ===========================================================
RMAN-00554: initialization of internal recovery manager package failed
RMAN-06429: TARGET database is not compatible with this version of RMAN
[oracle@RERDDB1 bin]$

 

I need quick response because I lose long time to fix problem.

Regards

 

1 Solution

Accepted Solutions
Highlighted
Accepted Solution!

1)      You need to configure

1)      You need to configure the detail monitoring for Oracle.

This monitoring will make sure that your oracle is mounted and opened, in  other word not corrupted.

Follow from page 74 for chapter “Setting up detail monitoring for VCS agent for Oracle” from this link  https://sort.symantec.com/public/documents/sf/5.1/linux/pdf/vcs_oracle_agent.pdf

Then try again with your compatible RMAN version with the one of the target databse.

 

2)      From your note, I see these RMAN errors:

RMAN-00554: initialization of internal recovery manager package failed
RMAN-06429: TARGET database is not compatible with this version of RMAN

Please read this link for the explanation of having those RMAN errors.

http://www2.error-code.org.uk/view.asp?e=ORACLE-RMAN-06429

View solution in original post

1 Reply
Highlighted
Accepted Solution!

1)      You need to configure

1)      You need to configure the detail monitoring for Oracle.

This monitoring will make sure that your oracle is mounted and opened, in  other word not corrupted.

Follow from page 74 for chapter “Setting up detail monitoring for VCS agent for Oracle” from this link  https://sort.symantec.com/public/documents/sf/5.1/linux/pdf/vcs_oracle_agent.pdf

Then try again with your compatible RMAN version with the one of the target databse.

 

2)      From your note, I see these RMAN errors:

RMAN-00554: initialization of internal recovery manager package failed
RMAN-06429: TARGET database is not compatible with this version of RMAN

Please read this link for the explanation of having those RMAN errors.

http://www2.error-code.org.uk/view.asp?e=ORACLE-RMAN-06429

View solution in original post